- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TransposeView Struct Template Reference

Provides a transposed view of an automaton. More...

Inherits IdentityView.

List of all members.

## Detailed Description

### template<class T>
struct vcsn::TransposeView< T >

Provides a transposed view of an automaton.

This structure allow a programmer to work on a transposed automaton without having really transposed the original automaton. It is just a kind of proxy for an automaton's implementation.

See also:
  transpose()

Definition at line 36 of file transpose_view.hh.